#ifndef __BOOT_FLASH_H
#define __BOOT_FLASH_H

#include "bootloader.h"



HAL_StatusTypeDef FLASH_Erase_App(void);
HAL_StatusTypeDef FLASH_Write_Page(uint32_t *Address, uint8_t *Data, int Data_size);
HAL_StatusTypeDef FLASH_Write_Word(uint32_t Address, uint64_t Data);
uint8_t *FLASH_Read(uint32_t add);

#endif //__BOOT_FLASH_H